Page MenuHomePhabricator

Enable Kartographer on WMPL wiki
Closed, ResolvedPublic

Description

WMPL wiki -> pl.wikimedia.org. We'll be happy to get rid of uploading maps that are used to show the venues.

Since it's about a chapter wiki, "the board consensus" applies instead of "user community consensus" policy. And the board is in favour.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 12 2016, 9:24 PM
saper awarded a token.Apr 12 2016, 9:43 PM
Poyekhali triaged this task as High priority.Apr 13 2016, 3:18 AM
Restricted Application added subscribers: JEumerus, Dereckson, Matanya. · View Herald TranscriptApr 13 2016, 12:04 PM
Dereckson added subscribers: Poyekhali, Yurik.EditedApr 13 2016, 3:28 PM

@Pokefan95 I see you raised the task priority, please give hints about prioritization: do you have some event or page you need right now? If so, when?

@Yurik do we have a green light to enable Kartographer on Wikimedia chapters wiki requesting it?

@Pokefan95 I see you raised the task priority, please give hints about prioritization: do you have some event or page you need right now? If so, when?

Well, we're actually arranging our yearly general assembly; it'd be nice to have Kartographer enabled like sooner than later, but no special rush. Before Thursday (Apr 19) would be fine.

Dereckson lowered the priority of this task from High to Normal.Apr 13 2016, 8:03 PM

Acked.

@Dereckson, I have absolutely no objections, but you also need OPs to enable it in Varnish. (cc @BBlack). Also, $wgKartographerWikivoyageMode should be set to false.

Thanks, well noted for Varnish.

Change 283332 had a related patch set uploaded (by Dereckson):
Add maps-cluster referer rules for pl.wikimedia.org

https://gerrit.wikimedia.org/r/283332

Change 283340 had a related patch set uploaded (by Dereckson):
Enable Kartographer on pl.wikimedia

https://gerrit.wikimedia.org/r/283340

Yurik moved this task from Unsorted to Tracking on the Maps (Kartographer) board.Apr 13 2016, 10:58 PM

Change 283332 merged by Alexandros Kosiaris:
Add maps-cluster referer rule for pl.wikimedia.org

https://gerrit.wikimedia.org/r/283332

Change 283340 merged by jenkins-bot:
Enable Kartographer on pl.wikimedia

https://gerrit.wikimedia.org/r/283340

Mentioned in SAL [2016-04-14T15:51:48Z] <dereckson@tin> Synchronized wmf-config/InitialiseSettings.php: Enable Kartographer on pl.wikimedia (T132510) (duration: 00m 26s)

Dereckson closed this task as Resolved.Apr 14 2016, 4:40 PM
Restricted Application added a project: Discovery. · View Herald TranscriptJun 12 2016, 2:59 AM